#
# spec file for package python-guzzle_sphinx_theme
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-guzzle_sphinx_theme
Version:        0.7.11
Release:        lp150.1.3
License:        MIT and OFL-1.1
Summary:        Sphinx theme used by Guzzle
Url:            https://github.com/guzzle/guzzle_sphinx_theme
Group:          Development/Languages/Python
Source:         https://pypi.python.org/packages/f4/7d/aed8cd5e4ca52bb8550d2c33fcbb8d6dbd5c2cf5e1694202d2135b374eba/guzzle_sphinx_theme-%{version}.tar.gz
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module Sphinx >= 1.2b1}
BuildRequires:  python-rpm-macros
Requires:       python-Sphinx >= 1.2b1
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
%python_subpackages

%description
This package contains the python bindings of the Sphinx theme used by Guzzle.

%prep
%setup -q -n guzzle_sphinx_theme-%{version}
find guzzle_sphinx_theme/guzzle_sphinx_theme/static -type f -exec chmod -x "{}" \;
find . -iname .DS_Store -delete

%build
%python_build

%install
%python_install

%files %{python_files}
%defattr(-,root,root,-)
%doc LICENSE README.rst
%{python_sitelib}/*

%changelog
* Tue Jul  4 2017 alarrosa@suse.com
- Initial release of guzzle_sphinx_theme 0.7.11
